
#ifndef GROUPINFO_H
#define GROUPINFO_H

#define Q_OS_LINUX

#include <QApplication>
#include <QStringList>
#include <QTextCodec>
#include <QByteArray>
#include <QtSql>
#include <QSqlQueryModel>
#include "utility.h"


//! [0]
class PGroupInfo
{
   
public:

   	PGroupInfo();
   	~PGroupInfo();
   
 	QStringList GetGroupList(void);
	bool AddGroup(QString name);
	bool DeleteGroup(QString name);
	bool DeleteGroup(int id);
	bool RenameGroup(int id, QString newname);
	bool RenameGroup(QString oldname,QString newname);

	
	
	
private:

int ID;
QString Name;

void dbSet(void);
void dbUnset(void);
bool dbQuery(QString query);
QSqlDatabase* db;

};
//! [0]

#endif
